# Create or change an IP pool (operator)

`POST /deliverability/pools` · Rivier · domains

Create or change an IP pool (operator).

- Scope: domains:write
- Graphql: Mutation.domainsDeliverabilityPoolSave
- Sdk: domains.deliverabilityPool.save
- Cli: domains deliverability pool save

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "maxLength": 80
    },
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "tier": {
      "type": "string",
      "enum": [
        "shared",
        "dedicated"
      ]
    },
    "heloHost": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 253
        },
        {
          "type": "null"
        }
      ]
    },
    "note": {
      "type": "string",
      "maxLength": 300
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/deliverability/pools' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
```
